gdcm::network::Transition Struct Reference

`#include <gdcmULTransitionTable.h>`

Collaboration diagram for gdcm::network::Transition:
[legend]

## Public Member Functions

| Transition ()
| Transition (int inEndState, ULAction *inAction)
| ~Transition ()

## Static Public Member Functions

static Transition * | MakeNew (int inEndState, ULAction *inAction)

## Public Attributes

ULAction * | mAction
int | mEnd

## Constructor & Destructor Documentation

## Transition() [1/2]

gdcm::network::Transition::Transition | ( |  | ) |

inline

References gdcm::network::eStaDoesNotExist, mAction, and mEnd.

Referenced by MakeNew().

## ~Transition()

gdcm::network::Transition::~Transition | ( |  | ) |

inline

References mAction.

## Transition() [2/2]

gdcm::network::Transition::Transition | ( | int | inEndState,
|  | ULAction * | inAction )

inline

References mAction, and mEnd.

## Member Function Documentation

## MakeNew()

Transition * gdcm::network::Transition::MakeNew | ( | int | inEndState,
|  | ULAction * | inAction )

inline static

References Transition().

## Member Data Documentation

## mAction

ULAction* gdcm::network::Transition::mAction

Referenced by Transition(), Transition(), and ~Transition().

## mEnd

int gdcm::network::Transition::mEnd

Referenced by Transition(), and Transition().

The documentation for this struct was generated from the following file:

- gdcmULTransitionTable.h